org.eclipse.microprofile.openapi.apps.airlines

## Class JAXRSApp

- java.lang.Object
- - javax.ws.rs.core.Application
  - - org.eclipse.microprofile.openapi.apps.airlines.JAXRSApp

    @ApplicationPath(value="/")
    public class JAXRSApp
    extends javax.ws.rs.core.Application

### Constructor Summary

Constructors
Constructor and Description
`JAXRSApp()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static int` `getRandomNumber(int max, int min)`
`Set<Object>` `getSingletons()`

### Methods inherited from class javax.ws.rs.core.Application

`getClasses, getProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JAXRSApp

    public JAXRSApp()

### Method Detail

#### getSingletons

    public Set<Object> getSingletons()

Overrides:
  `getSingletons` in class `javax.ws.rs.core.Application`

#### getRandomNumber

    public static int getRandomNumber(int max,
                                      int min)